io.vertx.rabbitmq

## Interface BasicProperties

-     public interface BasicProperties

  Like `BasicProperties`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `appId()`
    `String` | `clusterId()`
    `String` | `contentEncoding()`
    `String` | `contentType()`
    `String` | `correlationId()`
    `Integer` | `deliveryMode()`
    `String` | `expiration()`
    `Map<String,Object>` | `headers()`
    `String` | `messageId()`
    `Integer` | `priority()` Retrieve the value in the priority field.
    `String` | `replyTo()`
    `Long` | `timestamp()`
    `String` | `type()`
    `String` | `userId()`

- - ### Method Detail

    - #### contentType

          String contentType()

      Returns:
        contentType of a message, or `null` if it has not been set.

    - #### contentEncoding

          String contentEncoding()

      Returns:
        contentEncoding of a message, or `null` if it has not been set.

    - #### headers

          Map<String,Object> headers()

      Returns:
        headers table related to a message, or `null` if it has not been set.

    - #### deliveryMode

          Integer deliveryMode()

      Returns:
        deliveryMode of a message, or `null` if it has not been set.

    - #### priority

          Integer priority()

      Retrieve the value in the priority field.
      Returns:
        priority of a message, or `null` if it has not been set.

    - #### correlationId

          String correlationId()

      Returns:
        correlationId of a message, or `null` if it has not been set.

    - #### replyTo

          String replyTo()

      Returns:
        replyTo address, or `null` if it has not been set.

    - #### expiration

          String expiration()

      Returns:
        expiration of a message, or `null` if it has not been set.

    - #### messageId

          String messageId()

      Returns:
        messageId, or `null` if it has not been set.

    - #### timestamp

          Long timestamp()

      Returns:
        timestamp of a message, or `null` if it has not been set.

    - #### type

          String type()

      Returns:
        type of a message, or `null` if it has not been set.

    - #### userId

          String userId()

      Returns:
        userId, or `null` if it has not been set.

    - #### appId

          String appId()

      Returns:
        appId, or `null` if it has not been set.

    - #### clusterId

          String clusterId()

      Returns:
        clusterId, or `null` if it has not been set.

Copyright © 2018 Eclipse. All rights reserved.